Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1860455 - Qt wayland applications leak 100ms timers, upstream patch available
Summary: Qt wayland applications leak 100ms timers, upstream patch available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwayland
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-24 16:13 UTC by John Brooks
Modified: 2020-08-06 04:02 UTC (History)
7 users (show)

Fixed In Version: qt5-qtwayland-5.14.2-4.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-06 04:02:26 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-85730 0 None None None 2020-07-24 16:13:05 UTC

Description John Brooks 2020-07-24 16:13:05 UTC
Description of problem:

Qt applications under gnome wayland often end up spinning 100ms timers, even while inactive, due to a bug in QtWayland frame callbacks. This was fixed upstream in 5.12 and 5.15, but missed 5.14.

The Qt bug for 5.14 is at https://bugreports.qt.io/browse/QTBUG-85730. The missing commits from 5.15 are:

fabaaec60a5fe477f7339c0d825d8b236a7e5330
efc94a48526baf92b8a78916e03e1fef5993fa95

Comment 1 Fedora Update System 2020-07-27 09:31:16 UTC
FEDORA-2020-22864ce309 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-22864ce309

Comment 2 Fedora Update System 2020-07-28 15:19:14 UTC
FEDORA-2020-22864ce309 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-22864ce309`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-22864ce309

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-08-06 04:02:26 UTC
FEDORA-2020-22864ce309 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.